Page MenuHomePhabricator

Midterm evaluation for "Pywikibot: Implement support for OAuth"
Closed, ResolvedPublic

Description

Midterm evaluations for GSoC are coming up. All students and mentors must submit their evaluation on Melange after 26th June and before 3rd July 2015. Please note that only mentor needs to evaluate each student, not both.

If you have any concerns regarding your project/student which you do not wish to discuss on Phabricator, feel free to reach out to me or Quim directly.

Please complete the following in order to evaluate your student:

Additional comments:

Evaluation: Pass

Event Timeline

Niharika created this task.Jun 19 2015, 6:31 PM
Niharika assigned this task to jayvdb.
Niharika raised the priority of this task from to Normal.
Niharika updated the task description. (Show Details)
Niharika added subscribers: Aklapper, Niharika, Halfak.
jayvdb updated the task description. (Show Details)
jayvdb set Security to None.
jayvdb moved this task from Backlog to Project admin on the Pywikibot-OAuth board.Jun 30 2015, 3:44 AM
jayvdb updated the task description. (Show Details)

@jayvdb, waiting for your edit to resolve this task.

jayvdb updated the task description. (Show Details)Jul 4 2015, 1:44 AM
jayvdb added a comment.Jul 4 2015, 1:56 AM
In T103145#1425202, @NiharikaKohli wrote:

@jayvdb, waiting for your edit to resolve this task.

Actually waiting for @Halfak in order to meet the criteria of having a MVP hosted on Labs/elsewhere.

The MVP is coded, and the patch is in Gerrit, but the code looks like it is roughly MVP state. However I havent tested it because more work is needed on the test framework so I can easily test it.

Qgil added a subscriber: Qgil.Jul 6 2015, 1:55 PM

GSoC's mid-term evaluation deadline was last Friday. I hope that one was completed on time. :)

jayvdb added a comment.Jul 6 2015, 1:58 PM

GSoC's mid-term evaluation deadline was last Friday. I hope that one was completed on time. :)

Yes it was. Did you get my recent email to you about it?

@jayvdb, one month down, is this task completed now? Further comments on progress of project are welcome.

jayvdb added a comment.Aug 7 2015, 3:21 PM

T101682: Propose an OAuth consumer for testing on test.wikipedia.org is done, and the tests now run, and the code is essentially merge-able.

jayvdb closed this task as Resolved.Aug 7 2015, 3:21 PM